package com.aucma.dms.service;

import com.aucma.dms.domain.DmsBaseStationProject;

import java.util.List;

/**
 * 保养部位关联项目信息Service接口
 * 
 * @author zangch
 * @date 2024-09-23
 */
public interface IDmsBaseStationProjectService 
{
    /**
     * 查询保养部位关联项目信息
     * 
     * @param maintStationId 保养部位关联项目信息主键
     * @return 保养部位关联项目信息
     */
    public DmsBaseStationProject selectDmsBaseStationProjectByMaintStationId(Long maintStationId);

    /**
     * 查询保养部位关联项目信息列表
     * 
     * @param dmsBaseStationProject 保养部位关联项目信息
     * @return 保养部位关联项目信息集合
     */
    public List<DmsBaseStationProject> selectDmsBaseStationProjectList(DmsBaseStationProject dmsBaseStationProject);

    /**
     * 新增保养部位关联项目信息
     * 
     * @param dmsBaseStationProject 保养部位关联项目信息
     * @return 结果
     */
    public int insertDmsBaseStationProject(DmsBaseStationProject dmsBaseStationProject);

    /**
     * 修改保养部位关联项目信息
     * 
     * @param dmsBaseStationProject 保养部位关联项目信息
     * @return 结果
     */
    public int updateDmsBaseStationProject(DmsBaseStationProject dmsBaseStationProject);

    /**
     * 批量删除保养部位关联项目信息
     * 
     * @param maintStationIds 需要删除的保养部位关联项目信息主键集合
     * @return 结果
     */
    public int deleteDmsBaseStationProjectByMaintStationIds(Long[] maintStationIds);

    /**
     * 删除保养部位关联项目信息信息
     * 
     * @param maintStationId 保养部位关联项目信息主键
     * @return 结果
     */
    public int deleteDmsBaseStationProjectByMaintStationIds(Long maintStationId);


    public int batchUpdateDmsBaseStationProject(List<DmsBaseStationProject> dmsBaseStationProjectList);
    public int batchInsertDmsBaseStationProject(List<DmsBaseStationProject> dmsBaseStationProjectList);

    public DmsBaseStationProject selectDmsBaseStationProjectBymaintProjectId(Long maintProjectId);
}
